Import vector into PostGIS database alg - wrong table name

2018-05-18 12:03 PM - Luca Lanteri

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:3.1(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26814

Description

when I try to import a shapefile in postgres with "Import vector into PostGIS database (available connection)" and I leave blank the option

leave table "to import to" the table is imported with nale "import" and not with the layer name as aspected.

History

#1 - 2018-05-18 12:12 PM - Luca Lanteri

Same problem affects QGIS 2.18.18

#2 - 2018-05-18 04:16 PM - Giovanni Manghi

- Priority changed from Normal to High

- Assignee set to Giovanni Manghi

#3 - 2018-06-20 08:25 PM - Martin Dobias

- Status changed from Open to Feedback

I can't replicate with QGIS master. Could you please test again with master and if you still can replicate the problem, paste the ogr2ogr command written to

the processing algorithm's log? That should give us a hint what's going on...

#4 - 2018-06-21 11:57 AM - Luca Lanteri

I try to import a PostGIS layer named OPERE:

cmd.exe /C ogr2ogr.exe -progress --config PG_USE_COPY YES -f PostgreSQL PG:" dbname='test' host=localhost port=5432 user='_luca'

password='1234' sslmode=disable active_schema=test " -lco DIM=2

C:/Users/lucalant/AppData/Local/Temp/processing_ca97a0831e9f4d0eb7cda5dc73ef6dc0/f88777639c57488390258e59d43e280f/INPUT.shp INPUT

-overwrite -lco GEOMETRY_NAME=geom -lco FID=id -nln test.input -a_srs EPSG:32632 -nlt PROMOTE_TO_MULTI

Tested on 3.1.0-master 5b47f94f75

#5 - 2018-06-22 12:57 AM - Nyall Dawson

That command looks ok to me - it has the correct table name in the "nln" argument: "test.input". Do you see the same issue if you run the command directly

from a command line? It's possible (but unlikely) this is a bug in ogr2ogr.
#6 - 2018-12-27 11:12 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closed due to lack of feedback
